ToitKoju/Controllers/BlogController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ToitKoju.Controllers
{
    public class BlogController : Controller
    {
        // GET: Home1
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Blog()
        {
            ViewBag.Message = "Blogi vaade.";

            return View();
        }
    }
}

ToitKoju/Controllers/RecipiesController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using ToitKoju;
using System.IO;
using Newtonsoft.Json;
using ToitKoju.Models;

namespace ToitKoju
{
    public partial class Recipy
    {
        public string IngredientName { get; set; }
        public int IngredientID { get; set; }
        public virtual Ingredient Ingredient { get; set; }
    }
}


namespace ToitKoju.Controllers
{
    public class RecipiesController : Controller
    {
        private ToitKojuEntities db = new ToitKojuEntities();
       
        //Retsepti pildi lisamise osa, meetod on retsepti image
        public ActionResult RecipyImage(int? id) => RecipeImage(id);
        public ActionResult RecipeImage(int? id)
        {
            if (id == null) return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            Recipy r = db.Recipies.Find(id.Value);
            if (r == null) return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            if (r.Picture?.Length == null) return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            var picture = r.Picture.ToArray(); //tüüp on pildil byte array, loetakse terve pilt
            if (picture[0] == 21) picture = picture.Skip(78).ToArray(); //selle võib ära unustada
            return File(picture, "image/jpg");
        }

        public string IngredientName(int? id)
        {
            if (id == null) return "";
            Ingredient i = db.Ingredients.Find(id.Value);
            if (i == null) return "";
            return i.IngredientName;
        }

        public string RecipeName(int? id) //éi saa aru mis see teeb
        {
            if (id == null) return "";
            Recipy r = db.Recipies.Find(id.Value);
            if (r == null) return "";
            return r.RecipeName;

        }

        public string Recipy(int? id)
        {
            if (id == null) return null;
            Recipy r = db.Recipies.Find(id.Value);
            if (r == null) return null;
            string s = JsonConvert.SerializeObject(new { r.RecipeID, r.RecipeName, r.Instructions });
            return s;
        }

        // GET: Recipies
        public ActionResult Index()
        {
            var recipies = db.Recipies.Include(r => r.Category).Include(r => r.User)
                .Include(r => r.Details)
                ;
            return View(recipies.ToList());
        }

        //Proovin lisada koostisosade nimekirja
        // GET: Recipies/Ingredient
        //koostisosade nimekiri
        public ActionResult Ingredient(int id)
        {
            //var ingredient = db.Ingredients.ToList();
            //return View(ingredient);
            var recipy = db.Recipies.Find(id);
            return View(recipy);
        }
        // GET: Recipies/Ingredient/List
        //koostisosade nimekiri retsepti lõikes
        public ActionResult List(string ingredient)
        {
            //Kuvab kategooria seotuse retseptiga
            //var categoryModel = shopDB.Categories.Include("Recipies")
            //    .Single(g=>g.CategoryName==category);
            var c = db.Ingredients.Where(x => x.IngredientName == ingredient).SingleOrDefault();
            //if (c == null) return new HttpStatusCodeResult(HttpStatusCode.ServiceUnavailable);
            return View(c);
        }

        // GET: Recipies/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Recipy recipy = db.Recipies.Find(id);
            if (recipy == null)
            {
                return HttpNotFound();
            }
           
            ViewBag.Koostisosad = new SelectList(db.Details.Where(x => x.RecipeID == recipy.RecipeID).ToList(), "IngredientID", "IngredientID");
            ViewBag.Nimetused = new SelectList(db.Ingredients, "IngredientName", "IngredientID"); //seda hetkel ei kasuta
            ViewBag.Kogus = new SelectList(db.Details.Where(x => x.RecipeID == recipy.RecipeID).ToList(), "UnitsAmount", "IngredientID");
            ViewBag.Yhik = new SelectList(db.Details.Where(x => x.RecipeID == recipy.RecipeID).ToList(), "Unit", "IngredientID");
            return View(recipy);
        }

        // GET: Recipies/Create
        public ActionResult Create()
        {
            ViewBag.CategoryID = new SelectList(db.Categories, "CategoryID", "CategoryName");
            ViewBag.Author = new SelectList(db.Users, "UserID", "UserName");
            //ViewBag.DetailID = new SelectList(db.Details, "DetailID", "RecipeID");
            return View();
        }

        // POST: Recipies/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "RecipeID,RecipeName,CategoryID,Author,Picture,TargetAmount,Instructions")] Recipy recipy)
        {
            if (ModelState.IsValid)
            {
                db.Recipies.Add(recipy);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.CategoryID = new SelectList(db.Categories, "CategoryID", "CategoryName", recipy.CategoryID);
            ViewBag.Author = new SelectList(db.Users, "UserID", "UserName", recipy.Author);
            //ViewBag.DetailID = new SelectList(db.Details, "Detail", "DetailID", recipy.RecipeName);
            return View(recipy);
        }

        // GET: Recipies/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Recipy recipy = db.Recipies.Find(id);
            if (recipy == null)
            {
                return HttpNotFound();
            }
            ViewBag.CategoryID = new SelectList(db.Categories, "CategoryID", "CategoryName", recipy.CategoryID);
            ViewBag.Author = new SelectList(db.Users, "UserID", "UserName", recipy.Author);
            ViewBag.Ingredient = new SelectList(db.Ingredients, "IngredientID", "IngredientName", recipy.IngredientName);
            return View(recipy);
        }

        // POST: Recipies/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "RecipeID,RecipeName,CategoryID,Author,Picture,TargetAmount,Instructions")] Recipy recipy, HttpPostedFileBase file)
        {
            if (ModelState.IsValid)
            {
                db.Entry(recipy).State = EntityState.Modified; //vormilt sisestatud element, märgi palun et see on muutunud
                //siia vahele lisasin retsepti pildi osa
                //järgm lause ütleb et on tehtud muudatus ja tuleb apdeitida
                db.Entry(recipy).Property(x => x.Picture).IsModified = false; //kas fail on olemas?
                if (file != null && file.ContentLength > 0)
                {
                    using (BinaryReader br = new BinaryReader(file.InputStream)) //teeb streamreaderi, vormi input võetakse faili sisuks
                    {
                        byte[] buff = br.ReadBytes(file.ContentLength);
                        recipy.Picture = buff; //võta pildi väärtuseks puhver
                    }
                }
                db.SaveChanges();
                return RedirectToAction("Index");//tagasi indeksisse
            }//proovisin seda ümber teha, ei olnud abi
            //ViewBag.RecipeID = new SelectList(db.Recipies, "RecipeID", "RecipeName", recipy.CategoryID);
            //ViewBag.Author = new SelectList(db.Users, "UserID", "UserName", recipy.Author);
            //return View(recipy);
            ViewBag.CategoryID = new SelectList(db.Categories, "CategoryID", "CategoryName", recipy.CategoryID);
            ViewBag.Author = new SelectList(db.Users, "UserID", "UserName", recipy.Author);
            ViewBag.Ingredient = new SelectList(db.Ingredients, "IngredientID", "IngredientName", recipy.IngredientName);
            return View(recipy);
        }

        // GET: Recipies/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Recipy recipy = db.Recipies.Find(id);
            if (recipy == null)
            {
                return HttpNotFound();
            }
            return View(recipy);
        }

        // POST: Recipies/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Recipy recipy = db.Recipies.Find(id);
            db.Recipies.Remove(recipy);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

ToitKoju/Controllers/ShopController.cs
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.IO;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using ToitKoju.Models;

namespace ToitKoju.Controllers
{
    public class ShopController : Controller

    {



        private ToitKojuEntities shopDB = new ToitKojuEntities();
        //kategooria pildi lisamine
        public ActionResult CategoryImage(int? id) => CategorieImage(id);
        public ActionResult CategorieImage(int? id)
        {
            if (id == null) return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            Category c = shopDB.Categories.Find(id.Value);
            if (c == null) return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            if (c.Picture?.Length == null) return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            var picture = c.Picture.ToArray(); //tüüp on pildil byte array, loetakse terve pilt
            if (picture[0] == 21) picture = picture.Skip(78).ToArray(); //selle võib ära unustada
            return File(picture, "image/jpg");
        }


        //
        // GET: kategooriate nimekiri
        public ActionResult Index()
        {
            var category = shopDB.Categories.ToList();
            return View(category);
        }

        //
        // GET: /Shop/Browse
        public ActionResult Browse(string category)
        {
            var ostukorv = (Dictionary<int, Cart>)System.Web.HttpContext.Current.Session["ostukorv"];
            ViewBag.Ostukorv = ostukorv;
            //Kuvab kategooria seotuse retseptiga
            //var categoryModel = shopDB.Categories.Include("Recipies")
            //    .Single(g=>g.CategoryName==category);
            var c = shopDB.Categories.Where(x => x.CategoryName == category).SingleOrDefault();
            if (c == null) return new HttpStatusCodeResult(HttpStatusCode.ServiceUnavailable);
            return View(c);
        }

        //
        // GET: /Shop/Details/5
        public ActionResult Details(int id)
        {
            var recipy = shopDB.Recipies.Find(id);
            return View(recipy);
        }
        // GET: Shop/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Category category = shopDB.Categories.Find(id);
            if (category == null)
            {
                return HttpNotFound();
            }
            return View(category);
        }

        // POST: Shop/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "CategoryID,CategoryName,Description,Picture")] Category category, HttpPostedFileBase file)
        {
            if (ModelState.IsValid)
            {
                shopDB.Entry(category).State = EntityState.Modified;
                shopDB.Entry(category).Property(x => x.Picture).IsModified = false; //kas fail on olemas?
                if (file != null && file.ContentLength > 0)
                {
                    using (BinaryReader br = new BinaryReader(file.InputStream)) //teeb streamreaderi, vormi input võetakse faili sisuks
                    {
                        byte[] buff = br.ReadBytes(file.ContentLength);
                        category.Picture = buff; //võta pildi väärtuseks puhver
                    }
                }

                shopDB.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(category);
        }

        public ActionResult AddCart(int? id)
        {
            var ostukorv = (Dictionary<int, Cart>)System.Web.HttpContext.Current.Session["ostukorv"];
            var retsept = shopDB.Recipies.Find(id.Value);
            Cart c = ostukorv.Where(x => x.Value.RecipeID == id.Value).Select(x => x.Value).SingleOrDefault();
            if (c == null)
            {
                int nr = ostukorv.Keys.DefaultIfEmpty().Max() + 1;
                ostukorv[nr] = new Cart { RecipeID = id.Value, UnitsAmount = 1, RecipeName =  retsept.RecipeName};
            }
            else c.UnitsAmount++;
            ViewBag.Ostukorv = ostukorv;
            //var Retseptid = shopDB.Recipies.ToDictionary(x => x.RecipeID, x => x);
            //ViewBag.Ostukorv2 = ostukorv.Select(x => new { x.Key, x.Value.RecipeID, x.Value.UnitsAmount, ReceiptName = Retseptid[x.Value.RecipeID].RecipeName });
            return View("Browse", shopDB.Recipies.Find(id.Value).Category); // new { category = shopDB.Recipies.Find(id.Value).Category.CategorieName });
        }

        public ActionResult RemoveCart(int? id)
        {
            var ostukorv = (Dictionary<int, Cart>)System.Web.HttpContext.Current.Session["ostukorv"];
            Cart c = ostukorv[id.Value];
            Category t = shopDB.Recipies.Find(c.RecipeID).Category;
            if (c.UnitsAmount <= 1) ostukorv.Remove(id.Value);
            else c.UnitsAmount--;
            ViewBag.Ostukorv = ostukorv;
            return View("Browse", t); // new { category = shopDB.Recipies.Find(id.Value).Category.CategorieName });
        }


        public ActionResult ConfirmCart()
        {
            var ostukorv = (Dictionary<int, Cart>)System.Web.HttpContext.Current.Session["ostukorv"];
            foreach(var cart in ostukorv.Values)
            {
                shopDB.Orders.Add(new Order { OrderDate = DateTime.Now, DeliveryDate = DateTime.Now.AddDays(2), ActualEaters = cart.UnitsAmount, ReceipeID = cart.RecipeID, UserID = ToitKoju.User.GetByEmail(User.Identity.Name).UserID });
                shopDB.SaveChanges();
            }

            return RedirectToAction("Index", "Orders");
        }

        //[HttpPost]
        //[ValidateAntiForgeryToken]
        //public ActionResult Tellimus([Bind(Include = "OrderID,OrderDate,DeliveryDate,UserID,ReceipeID,ActualEaters,DeliveryInstructions")] Order order)
        //{
        //    var ostukorv = (Dictionary<int, Cart>)System.Web.HttpContext.Current.Session["ostukorv"];
        //    var orders = shopDB.Orders.Include(o => o.Recipy).Include(o => o.User);
        //    foreach (KeyValuePair<int, Cart> x in ViewBag.Ostukorv)
        //    {
        //        DateTime OrderDate = new DateTime(05 / 06 / 2018);
        //        DateTime DeliveryDate = new DateTime(05 / 06 / 2018);
        //        int UserID = x.Value.UserID;
        //        int RecipeID = x.Value.RecipeID;
        //        int ActualEaters = x.Value.UnitsAmount;

        //        if (ModelState.IsValid)
        //        {
        //            shopDB.Orders.Add(order);
        //            shopDB.SaveChanges();
        //        }

        //    }
        //    return View("Orders");
        //}

    }
}

ToitKoju/Views/Home/About.cshtml
@{
    ViewBag.Title = "About";
}
<div class="container">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">
                About
                <small>It's Nice to Meet You!</small>
            </h1>
            <ol class="breadcrumb">
                <li>
                    @Html.ActionLink("Home", "Index", "Home")
                </li>
                <li class="active">About</li>
            </ol>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <img src="http://placehold.it/750x450" class="img-responsive">
        </div>
        <div class="col-md-6">
            <h2>Welcome to 'Modern Business'</h2>
            <p>This is a great place to introduce your company or project and describe what you do. This about page features general company information, employee bios, and other helpful elements.</p>
            <p>Lid est laborum dolo rumes fugats untras. Etharums ser quidem rerum facilis dolores nemis omnis fugats vitaes nemo minima rerums unsers sadips amets.. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt.</p>
        </div>
    </div>
    <!-- Team Member Profiles -->
    <div class="row">
        <div class="col-lg-12">
            <h2 class="page-header">Our Team</h2>
        </div>
        <div class="col-sm-4">
            <img src="http://placehold.it/750x450" class="img-responsive">
            <h3>
                John Smith
                <small>Job Title</small>
            </h3>
            <p>What does this team member do? Keep it short! This is also a great spot for social links!</p>
            <ul class="list-unstyled list-inline list-social-icons">
                <li class="tooltip-social facebook-link">
                    <a title="Facebook" data-placement="top" data-toggle="tooltip" href="#facebook-profile"><i class="fa fa-facebook-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social linkedin-link">
                    <a title="LinkedIn" data-placement="top" data-toggle="tooltip" href="#linkedin-profile"><i class="fa fa-linkedin-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social twitter-link">
                    <a title="Twitter" data-placement="top" data-toggle="tooltip" href="#twitter-profile"><i class="fa fa-twitter-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social google-plus-link">
                    <a title="Google+" data-placement="top" data-toggle="tooltip" href="#google-plus-profile"><i class="fa fa-google-plus-square fa-2x"></i></a>
                </li>
            </ul>
        </div>
        <div class="col-sm-4">
            <img src="http://placehold.it/750x450" class="img-responsive">
            <h3>
                John Smith
                <small>Job Title</small>
            </h3>
            <p>What does this team member do? Keep it short! This is also a great spot for social links!</p>
            <ul class="list-unstyled list-inline list-social-icons">
                <li class="tooltip-social facebook-link">
                    <a title="Facebook" data-placement="top" data-toggle="tooltip" href="#facebook-profile"><i class="fa fa-facebook-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social linkedin-link">
                    <a title="LinkedIn" data-placement="top" data-toggle="tooltip" href="#linkedin-profile"><i class="fa fa-linkedin-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social twitter-link">
                    <a title="Twitter" data-placement="top" data-toggle="tooltip" href="#twitter-profile"><i class="fa fa-twitter-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social google-plus-link">
                    <a title="Google+" data-placement="top" data-toggle="tooltip" href="#google-plus-profile"><i class="fa fa-google-plus-square fa-2x"></i></a>
                </li>
            </ul>
        </div>
        <div class="col-sm-4">
            <img src="http://placehold.it/750x450" class="img-responsive">
            <h3>
                John Smith
                <small>Job Title</small>
            </h3>
            <p>What does this team member do? Keep it short! This is also a great spot for social links!</p>
            <ul class="list-unstyled list-inline list-social-icons">
                <li class="tooltip-social facebook-link">
                    <a title="Facebook" data-placement="top" data-toggle="tooltip" href="#facebook-profile"><i class="fa fa-facebook-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social linkedin-link">
                    <a title="LinkedIn" data-placement="top" data-toggle="tooltip" href="#linkedin-profile"><i class="fa fa-linkedin-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social twitter-link">
                    <a title="Twitter" data-placement="top" data-toggle="tooltip" href="#twitter-profile"><i class="fa fa-twitter-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social google-plus-link">
                    <a title="Google+" data-placement="top" data-toggle="tooltip" href="#google-plus-profile"><i class="fa fa-google-plus-square fa-2x"></i></a>
                </li>
            </ul>
        </div>
        <div class="col-sm-4">
            <img src="http://placehold.it/750x450" class="img-responsive">
            <h3>
                John Smith
                <small>Job Title</small>
            </h3>
            <p>What does this team member do? Keep it short! This is also a great spot for social links!</p>
            <ul class="list-unstyled list-inline list-social-icons">
                <li class="tooltip-social facebook-link">
                    <a title="Facebook" data-placement="top" data-toggle="tooltip" href="#facebook-profile"><i class="fa fa-facebook-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social linkedin-link">
                    <a title="LinkedIn" data-placement="top" data-toggle="tooltip" href="#linkedin-profile"><i class="fa fa-linkedin-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social twitter-link">
                    <a title="Twitter" data-placement="top" data-toggle="tooltip" href="#twitter-profile"><i class="fa fa-twitter-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social google-plus-link">
                    <a title="Google+" data-placement="top" data-toggle="tooltip" href="#google-plus-profile"><i class="fa fa-google-plus-square fa-2x"></i></a>
                </li>
            </ul>
        </div>
        <div class="col-sm-4">
            <img src="http://placehold.it/750x450" class="img-responsive">
            <h3>
                John Smith
                <small>Job Title</small>
            </h3>
            <p>What does this team member do? Keep it short! This is also a great spot for social links!</p>
            <ul class="list-unstyled list-inline list-social-icons">
                <li class="tooltip-social facebook-link">
                    <a title="Facebook" data-placement="top" data-toggle="tooltip" href="#facebook-profile"><i class="fa fa-facebook-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social linkedin-link">
                    <a title="LinkedIn" data-placement="top" data-toggle="tooltip" href="#linkedin-profile"><i class="fa fa-linkedin-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social twitter-link">
                    <a title="Twitter" data-placement="top" data-toggle="tooltip" href="#twitter-profile"><i class="fa fa-twitter-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social google-plus-link">
                    <a title="Google+" data-placement="top" data-toggle="tooltip" href="#google-plus-profile"><i class="fa fa-google-plus-square fa-2x"></i></a>
                </li>
            </ul>
        </div>
        <div class="col-sm-4">
            <img src="http://placehold.it/750x450" class="img-responsive">
            <h3>
                John Smith
                <small>Job Title</small>
            </h3>
            <p>What does this team member do? Keep it short! This is also a great spot for social links!</p>
            <ul class="list-unstyled list-inline list-social-icons">
                <li class="tooltip-social facebook-link">
                    <a title="Facebook" data-placement="top" data-toggle="tooltip" href="#facebook-profile"><i class="fa fa-facebook-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social linkedin-link">
                    <a title="LinkedIn" data-placement="top" data-toggle="tooltip" href="#linkedin-profile"><i class="fa fa-linkedin-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social twitter-link">
                    <a title="Twitter" data-placement="top" data-toggle="tooltip" href="#twitter-profile"><i class="fa fa-twitter-square fa-2x"></i></a>
                </li>
                <li class="tooltip-social google-plus-link">
                    <a title="Google+" data-placement="top" data-toggle="tooltip" href="#google-plus-profile"><i class="fa fa-google-plus-square fa-2x"></i></a>
                </li>
            </ul>
        </div>
    </div>
    <!-- Our Customers -->
    <div class="row">
        <div class="col-lg-12">
            <h2 class="page-header">Our Customers</h2>
        </div>
        <div class="col-md-2 col-sm-4 col-xs-6">
            <img src="http://placehold.it/500x300" class="img-responsive img-customer">
        </div>
        <div class="col-md-2 col-sm-4 col-xs-6">
            <img src="http://placehold.it/500x300" class="img-responsive img-customer">
        </div>
        <div class="col-md-2 col-sm-4 col-xs-6">
            <img src="http://placehold.it/500x300" class="img-responsive img-customer">
        </div>
        <div class="col-md-2 col-sm-4 col-xs-6">
            <img src="http://placehold.it/500x300" class="img-responsive img-customer">
        </div>
        <div class="col-md-2 col-sm-4 col-xs-6">
            <img src="http://placehold.it/500x300" class="img-responsive img-customer">
        </div>
        <div class="col-md-2 col-sm-4 col-xs-6">
            <img src="http://placehold.it/500x300" class="img-responsive img-customer">
        </div>
    </div>
</div>

ToitKoju/Views/Home/Contact.cshtml
@{
    ViewBag.Title = "Contact";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<address>
    One Microsoft Way<br />
    Redmond, WA 98052-6399<br />
    <abbr title="Phone">P:</abbr>
    425.555.0100
</address>

<address>
    <strong>Support:</strong>   <a href="mailto:Support@example.com">Support@example.com</a><br />
    <strong>Marketing:</strong> <a href="mailto:Marketing@example.com">Marketing@example.com</a>
</address>

ToitKoju/Views/Home/Index.cshtml
@using T = ToitKoju;
@model IEnumerable<ToitKoju.Category>

@{
    ViewBag.Title = "Home Page";
    int counter = 0;
}
<script>
    function Retsept() {
        document.getElementById("tulemus").innerHTML = "katsetan vahetust"
    }
</script>


<div class="container">
    <div class="row">
        <div class="col-sm-3 col-md-3 pull-right">

            <div class="input-group">
                <span class="input-group-btn">
                    @*<button class="btn btn-default" type="button">Go!</button>*@
                    <button type="button" class="btn btn-default" aria-label="Left Align">
                        <span class="glyphicon glyphicon-search" aria-hidden="true"></span>
                    </button>
                </span>
                <input type="text" class="form-control" placeholder="Otsi retsepti...">
            </div><!-- /input-group -->
        </div>

        @* Retseptide link välja kommenteeritud *@
        @*<div class="col-lg-12">
                <ol class="breadcrumb">
                    <li>
                        @Html.ActionLink("Retseptid", "Index", "Recipies")
                    </li>
                    <li class="active">Retseptid</li>
                </ol>
            </div>*@
    </div>

    <div class="row">

        <div>
            <h1>TOIT KOJU</h1>
            <table>
                <tr>
                    <th class="vasak">
                        <p class="lead">Sulle meeldib ise toitu valmistada, aga poes käimine on tüütu?</p>
                        <p class="lead">Vali retseptipangast meelepärane toit ja toome sulle vajaminevad koostisosad koju kätte.</p>
                    </th>

                </tr>
            </table>
        </div>
    </div>

</div>

<table>
    @foreach (var n in Model)
    {
        <tr>
            @* Pilt lingina, all tekst *@
            <div class="col-md-3 portfolio-item">
                <h3 class="text-center">@Html.ActionLink(n.CategoryName, "Browse", "Shop", new { category = n.CategoryName }, null)</h3>
                <a href='@Url.Action( "Browse", "Shop", new { category = n.CategoryName } )'>
                    <img src='@Url.Action("CategoryImage", "Shop", new { id = n.CategoryID })' class="img-rounded" alt="Cinque Terre" width="250" height="250" />
                </a>



            </div>
        </tr>
    }
</table>